## ocaml-ipaddr 2.5.0

=== lib_test/Makefile ===
.PHONY: all

FLAGS=-package oUnit -package sexplib -g

all: test_ipaddr.ml test_macaddr.ml
	ocamlfind ocamlc -o test_ipaddr $(FLAGS) -I ../_build/lib \
		../_build/lib/ipaddr.cmo -linkpkg test_ipaddr.ml
	ocamlfind ocamlc -o test_macaddr $(FLAGS) -I ../_build/lib \
		../_build/lib/macaddr.cmo -linkpkg test_macaddr.ml
	./test_ipaddr
	@echo
	./test_macaddr
	@echo
	@rm test_ipaddr.cmi test_ipaddr.cmo test_ipaddr
	@rm test_macaddr.cmi test_macaddr.cmo test_macaddr

=== debian/changelog ===
ocaml-ipaddr (2.5.0-1build1) vivid; urgency=medium

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 01 Nov 2014 09:43:51 +0000

ocaml-ipaddr (2.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 26 Jun 2014 15:41:24 +0200

ocaml-ipaddr (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #752051)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 19 Jun 2014 08:42:47 +0200

## ocaml-ipaddr 2.6.1

=== lib_test/Makefile ===
.PHONY: all clean

OCAML_VERSION=$(shell ocaml -version | sed -n "s/.*version \(.*\)$$/\1/p")

ifneq      (,$(findstring 3.12.,$(OCAML_VERSION)))
SAFE_STRING=
else ifneq (,$(findstring 4.00.,$(OCAML_VERSION)))
SAFE_STRING=
else ifneq (,$(findstring 4.01.,$(OCAML_VERSION)))
SAFE_STRING=
else
SAFE_STRING=-safe-string
endif

FLAGS=-package oUnit,sexplib,bytes -g $(SAFE_STRING) -principal

all: test_ipaddr.ml test_macaddr.ml
	@echo Detected OCaml $(OCAML_VERSION)
	ocamlfind ocamlc -o test_ipaddr $(FLAGS) -I ../_build/lib \
		../_build/lib/macaddr.cmo ../_build/lib/ipaddr.cmo \
		-linkpkg test_ipaddr.ml
	ocamlfind ocamlc -o test_macaddr $(FLAGS) -I ../_build/lib \
		../_build/lib/macaddr.cmo -linkpkg test_macaddr.ml
	./test_ipaddr
	@echo
	./test_macaddr
	@echo
	$(MAKE) clean

clean:
	rm -f test_ipaddr.cmi test_ipaddr.cmo test_ipaddr
	rm -f test_macaddr.cmi test_macaddr.cmo test_macaddr

=== debian/changelog ===
ocaml-ipaddr (2.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 18 Jan 2016 00:14:15 +0100

=== debian/control ===
Source: ocaml-ipaddr
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 ocaml-nox,
 ocaml-findlib,
 libounit-ocaml-dev,
 libsexplib-camlp4-dev,
 dh-ocaml,
 debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: https://github.com/mirage/ocaml-ipaddr
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-ipaddr.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-ipaddr.git

Package: libipaddr-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: library for manipulation of IP (and MAC) address representations (dev files)
 This is a library for manipulation of IP (and MAC) address representations.
 .
 Features:
  * IPv4 and IPv6 support
  * IPv4 and IPv6 CIDR prefix support
  * IPv4 and IPv6 CIDR-scoped address support
  * Integration with the standard OCaml distribution (Map.OrderedType,
    Unix, top-level)
  * IP address scope classification
  * IPv4-mapped addresses in IPv6 (::ffff:0:0/96) are an embedding of IPv4
  * MAC-48 (Ethernet) address support
  * All types have sexplib serializers/deserializers
 .
 This package contains development files.

Package: libipaddr-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${ocaml:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Description: library for manipulation of IP (and MAC) address representations (runtime)
 This is a library for manipulation of IP (and MAC) address representations.
 .
 Features:
  * IPv4 and IPv6 support
  * IPv4 and IPv6 CIDR prefix support
  * IPv4 and IPv6 CIDR-scoped address support
  * Integration with the standard OCaml distribution (Map.OrderedType,
    Unix, top-level)
  * IP address scope classification
  * IPv4-mapped addresses in IPv6 (::ffff:0:0/96) are an embedding of IPv4
  * MAC-48 (Ethernet) address support
  * All types have sexplib serializers/deserializers
 .
 This package contains the shared runtime libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/libipaddr-ocaml-dev --enable-tests

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean
	rm -f setup*.exe

=== debian/watch ===
version=3
https://github.com/mirage/ocaml-ipaddr/tags/ /.*/([\d\.]+)\.tar\.gz

## ocaml-ipaddr 2.7.0

=== debian/changelog ===
ocaml-ipaddr (2.7.0-2build2) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 14 Jul 2017 22:58:28 +0100

ocaml-ipaddr (2.7.0-2build1) zesty; urgency=medium

  * Rebuild against new OCaml ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Dec 2016 22:39:39 +0100

ocaml-ipaddr (2.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Aug 2016 09:59:10 +0200

ocaml-ipaddr (2.7.0-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Mon, 08 Aug 2016 09:28:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: ocaml-ipaddr
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  ocaml-nox,
  ocaml-findlib,
  libounit-ocaml-dev,
- libsexplib-camlp4-dev,
+ libsexplib-ocaml-dev,
+ libppx-sexp-conv-ocaml-dev,
  dh-ocaml,
  debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: https://github.com/mirage/ocaml-ipaddr
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocaml-ipaddr.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocaml-ipaddr.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ipaddr.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ipaddr.git
 
 Package: libipaddr-ocaml-dev
 Architecture: any

## ocaml-ipaddr 4.0.0

=== debian/changelog ===
ocaml-ipaddr (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-*
  * Update debian/watch
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.4.1
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 23 Jan 2020 15:55:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,23 @@
 Source: ocaml-ipaddr
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
+ debhelper-compat (= 12),
  ocaml-nox,
- ocaml-findlib,
+ ocaml-dune,
+ opam-installer,
  libounit-ocaml-dev,
- libsexplib-ocaml-dev,
  libppx-sexp-conv-ocaml-dev,
- dh-ocaml,
- debhelper (>= 9)
-Standards-Version: 3.9.8
+ libdomain-name-ocaml-dev,
+ dh-ocaml
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-ipaddr
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ipaddr.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-ipaddr.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ipaddr.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-ipaddr
 
 Package: libipaddr-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)/$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_clean:
	dune clean
	rm -rf _tmp

override_dh_auto_build:
	dune build -p macaddr
	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) macaddr.install
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p ipaddr
	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) ipaddr.install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p macaddr
	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p ipaddr
endif

override_dh_auto_install:
	rm -rf debian/tmp
	cp -a $(CURDIR)/_tmp debian/tmp
	rm -rf debian/tmp/usr/doc/macaddr debian/tmp/usr/doc/ipaddr/LICENSE.md

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/mirage/ocaml-ipaddr/tags/ /.*/v?([\d\.]+)\.tar\.gz

## ocaml-ipaddr 5.0.0

=== debian/changelog ===
ocaml-ipaddr (5.0.0-1build1) groovy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Sep 2020 13:36:16 +0200

ocaml-ipaddr (5.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 17:10:17 +0200

=== debian/rules ===
--- 
+++ 
@@ -31,5 +31,4 @@
 	cp -a $(CURDIR)/_tmp debian/tmp
 	rm -rf debian/tmp/usr/doc/macaddr debian/tmp/usr/doc/ipaddr/LICENSE.md
 
-override_dh_missing:
-	dh_missing --fail-missing
+override_dh_dwz:

## ocaml-ipaddr 5.0.1

=== debian/changelog ===
ocaml-ipaddr (5.0.1-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 07 Nov 2020 13:50:47 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  ocaml-nox,
  ocaml-dune,
  opam-installer,
  libounit-ocaml-dev,
  libppx-sexp-conv-ocaml-dev,
  libdomain-name-ocaml-dev,
+ libstdlib-shims-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-ipaddr
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ipaddr.git

=== debian/rules ===
--- 
+++ 
@@ -30,5 +30,3 @@
 	rm -rf debian/tmp
 	cp -a $(CURDIR)/_tmp debian/tmp
 	rm -rf debian/tmp/usr/doc/macaddr debian/tmp/usr/doc/ipaddr/LICENSE.md
-
-override_dh_dwz:

=== debian/watch ===
version=3
https://github.com/mirage/ocaml-ipaddr/releases .*-v?([\d\.]+)\.tbz

## ocaml-ipaddr 5.2.0

=== debian/changelog ===
ocaml-ipaddr (5.2.0-1build2) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 15:18:50 +0100

ocaml-ipaddr (5.2.0-1build1) jammy; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Dec 2021 09:07:33 +0100

ocaml-ipaddr (5.2.0-1) unstable; urgency=medium

  * New upstream release
  * Build ipaddr-{cstruct,sexp}
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch version to 4

 -- Stéphane Glondu <glondu@debian.org>  Mon, 29 Nov 2021 10:42:13 +0100

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,10 @@
  libppx-sexp-conv-ocaml-dev,
  libdomain-name-ocaml-dev,
  libstdlib-shims-ocaml-dev,
+ libcstruct-ocaml-dev (>= 6.0.0),
+ libsexplib0-ocaml-dev,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-ipaddr
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ipaddr.git
@@ -51,6 +53,7 @@
  ${ocaml:Depends},
  ${misc:Depends}
 Provides: ${ocaml:Provides}
+Suggests: ocaml-findlib
 Description: library for manipulation of IP (and MAC) address representations (runtime)
  This is a library for manipulation of IP (and MAC) address representations.
  .

=== debian/rules ===
--- 
+++ 
@@ -19,14 +19,21 @@
 	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) macaddr.install
 	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p ipaddr
 	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) ipaddr.install
+	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p ipaddr-cstruct
+	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) ipaddr-cstruct.install
+	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune build -p ipaddr-sexp
+	opam-installer --prefix=$(CURDIR)/_tmp/usr --libdir=..$(OCAML_STDLIB_DIR) ipaddr-sexp.install
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dune runtest -p macaddr
 	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p ipaddr
+	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p ipaddr-cstruct
+	OCAMLPATH=$(CURDIR)/_tmp$(OCAML_STDLIB_DIR) dune runtest -p ipaddr-sexp
 endif
 
 override_dh_auto_install:
 	rm -rf debian/tmp
 	cp -a $(CURDIR)/_tmp debian/tmp
-	rm -rf debian/tmp/usr/doc/macaddr debian/tmp/usr/doc/ipaddr/LICENSE.md
+	rm -rf debian/tmp/usr/doc/ipaddr/LICENSE.md
+	for u in macaddr ipaddr-cstruct ipaddr-sexp; do rm -rf $(DESTDIR)/usr/doc/$$u; done

=== debian/watch ===
version=4
https://github.com/mirage/ocaml-ipaddr/releases .*-v?([\d\.]+)\.tbz

## ocaml-ipaddr 5.3.1

=== debian/changelog ===
ocaml-ipaddr (5.3.1-1build2) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Feb 2023 23:56:55 +0100

ocaml-ipaddr (5.3.1-1build1) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Feb 2023 22:56:53 +0100

ocaml-ipaddr (5.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 05 Feb 2023 05:00:06 +0100

## ocaml-ipaddr 5.5.0

=== Makefile ===
.PHONY: all clean

all:
	dune build

test:
	dune runtest

doc:
	dune build @doc

clean:
	dune clean

=== debian/changelog ===
ocaml-ipaddr (5.5.0-3build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:21:35 +0100

ocaml-ipaddr (5.5.0-3build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:17:55 +0100

ocaml-ipaddr (5.5.0-3) unstable; urgency=medium

  * Mark <!nocheck> build-dependencies
  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Sun, 10 Sep 2023 06:08:08 +0200

ocaml-ipaddr (5.5.0-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Aug 2023 10:52:26 +0200

ocaml-ipaddr (5.5.0-1) unstable; urgency=medium

  * Fix compilation with recent dune.
  * Fix d/watch
  * Bump standards-version to 4.6.2
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 05 Jul 2023 14:55:18 +0200

## ocaml-ipaddr 5.6.0

=== debian/changelog ===
ocaml-ipaddr (5.6.0-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:18:48 +0200

ocaml-ipaddr (5.6.0-1build8) questing; urgency=medium

  * Rebuild against latest ocaml libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 18:29:49 -0400

ocaml-ipaddr (5.6.0-1build7) plucky; urgency=medium

  * No change rebuild against new OCAML ABIs

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 09:51:04 +0100

ocaml-ipaddr (5.6.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Feb 2025 07:33:15 +0100

ocaml-ipaddr (5.6.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:00:09 +0100

ocaml-ipaddr (5.6.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:25:15 +0100

ocaml-ipaddr (5.6.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 18:18:23 +0100

ocaml-ipaddr (5.6.0-1build2) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Sep 2024 15:41:43 +0200

ocaml-ipaddr (5.6.0-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:46:43 +0200

ocaml-ipaddr (5.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 04 Jun 2024 06:38:43 +0200

## ocaml-ipaddr 5.6.1

=== debian/changelog ===
ocaml-ipaddr (5.6.1-1build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Oct 2025 22:41:38 +0200

ocaml-ipaddr (5.6.1-1build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 02:56:28 +0200

ocaml-ipaddr (5.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 07:53:02 +0200

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,17 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune,
  opam-installer,
- libounit-ocaml-dev,
+ libounit-ocaml-dev <!nocheck>,
  libppx-sexp-conv-ocaml-dev,
  libdomain-name-ocaml-dev,
  libstdlib-shims-ocaml-dev,
  libcstruct-ocaml-dev (>= 6.0.0),
  libsexplib0-ocaml-dev,
- dh-ocaml
-Standards-Version: 4.6.0
+ dh-ocaml (>= 1.2.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/mirage/ocaml-ipaddr
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-ipaddr.git
